algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Algebra.Hopf

Synopsis

- class Bialgebra r h => HopfAlgebra r h where
  - antipode :: (h -> r) -> h -> r

# Documentation

class Bialgebra r h => HopfAlgebra r h where Source

A HopfAlgebra algebra on a semiring, where the module is free.

When `antipode . antipode = id` and antipode is an antihomomorphism then we are an InvolutiveBialgebra with `inv = antipode` as well

Methods

antipode :: (h -> r) -> h -> rSource

Instances

(InvolutiveSemiring k, Rng k) => HopfAlgebra k ComplexBasis |
(TriviallyInvolutive r, InvolutiveSemiring r, Rng r) => HopfAlgebra r QuaternionBasis |
(InvolutiveSemiring k, Rng k) => HopfAlgebra k DualBasis |
(Commutative k, Group k, InvolutiveSemiring k) => HopfAlgebra k HyperBasis' |
(Commutative k, Group k, InvolutiveSemiring k) => HopfAlgebra k HyperBasis |
(InvolutiveSemiring k, Rng k) => HopfAlgebra k DualBasis' |
(TriviallyInvolutive r, InvolutiveSemiring r, Rng r) => HopfAlgebra r QuaternionBasis' |
(Commutative k, Group k, InvolutiveSemiring k) => HopfAlgebra k TrigBasis |
(HopfAlgebra r a, HopfAlgebra r b) => HopfAlgebra r (a, b) |
(HopfAlgebra r a, HopfAlgebra r b, HopfAlgebra r c) => HopfAlgebra r (a, b, c) |
(HopfAlgebra r a, HopfAlgebra r b, HopfAlgebra r c, HopfAlgebra r d) => HopfAlgebra r (a, b, c, d) |
(HopfAlgebra r a, HopfAlgebra r b, HopfAlgebra r c, HopfAlgebra r d, HopfAlgebra r e) => HopfAlgebra r (a, b, c, d, e) |